CREATE procedure [C6Staging].[RP_ST_Migraz_Posizioni] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Migraz_Posizioni',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_Migraz_Posizioni
	insert into c6staging.RP_Migraz_Posizioni
select 
chiavePosizionePtf , 
chiaveProgetto  , 
chiaveProdotto  , 
dtInizioValidita, 
'99991231' as dtFineValidita, 
conto           , 
rubricato       , 
codConf         , 
numPolizza      , 
custGar         , 
codAbi          , 
termId          , 
anno            , 
prog            , 
null as ctv              
 from [CONSUNI].[ConsulenzaUnica].dbo.PosizioniPortafoglio
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Migraz_Posizioni' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Migraz_Posizioni'
		)
end